## OAuth Refresh Token Validity Extension

The OAuth Refresh Token Validity Extension module is used to prevent the OAuth Refresh Token from expiring after 90 days. We use a cron job to update our refresh token every month.

## Table of contents

- Requirements
- Installation
- Configuration
- Creator and Maintainer

## Requirements

This module requires the following modules:

- [PHPMailer OAuth2 ](https://www.drupal.org/project/phpmailer_oauth2)
- [Ultimate Cron](https://www.drupal.org/project/ultimate_cron)

## INSTALLATION

Install as you would normally install a contributed Drupal module.
See: https://www.drupal.org/node/895232 for further information.

## CONFIGURATION

- Install Module. 
- Enable the module at Administration > Extend.
- If you need to run it manually, go to Administration > Configuration > System > Cron path and run the OAuth Refresh Token Validity Extension cron job. We have set the cron to run every month.

## Creator and Maintainer

Current maintainer:

- [Mugesh S](https://drupal.org/u/mugeshs)
- [kabeer M](https://www.drupal.org/u/kabeermsn)

Supporting organizations:

- [Applab Qatar](https://www.drupal.org/applab-qatar)
